## enigma 0.1.0

=== DESCRIPTION ===
Package: enigma
Title: R Client for the Enigma API
Description: Enigma (https://enigma.io) holds many public datasets from
    governments, companies, universities, and organizations. Enigma provides an
    API for data, metadata, and statistics on each of the datasets. enigma is
    an R client to interact with the Enigma API, including getting the data
    and metadata for datasets in Enigma, as well as collecting statistics on
    datasets. In addition, you can download a gzipped csv file of a dataset
    if you want the whole dataset. An API key from Enigma is required to use
    enigma.
Version: 0.1.0
Date: 2014-10-16
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com"))
License: MIT + file LICENSE
LazyData: true
Imports: httr, jsonlite, plyr
Suggests: testthat
Packaged: 2014-10-16 21:25:40 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-17 00:42:42

## enigma 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -8,17 +8,20 @@
     datasets. In addition, you can download a gzipped csv file of a dataset
     if you want the whole dataset. An API key from Enigma is required to use
     enigma.
-Version: 0.1.0
-Date: 2014-10-16
+Version: 0.1.1
+Date: 2014-12-10
 Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
     email = "myrmecocystus@gmail.com"))
 License: MIT + file LICENSE
 LazyData: true
+URL: https://github.com/ropengov/enigma
+BugReports: https://github.com/ropengov/enigma/issues
+VignetteBuilder: knitr
 Imports: httr, jsonlite, plyr
-Suggests: testthat
-Packaged: 2014-10-16 21:25:40 UTC; sacmac
+Suggests: knitr, testthat, dplyr, ggplot2, ggthemes
+Packaged: 2014-12-11 00:29:36 UTC; sacmac
 Author: Scott Chamberlain [aut, cre]
 Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-10-17 00:42:42
+Date/Publication: 2014-12-11 07:59:32

## enigma 0.2.0

=== DESCRIPTION ===
Package: enigma
Title: Client for the 'Enigma' 'API'
Description: The company 'Enigma' (https://enigma.io) holds many public 'datasets' from
    governments, companies, universities, and organizations. 'Enigma' provides an
    'API' for data, 'metadata', and statistics on each of the 'datasets'. 'enigma' is
    a client to interact with the 'Enigma' 'API', including getting the data
    and 'metadata' for 'datasets' in 'Enigma', as well as collecting statistics on
    'datasets'. In addition, you can download a 'gzipped' 'csv' file of a 'dataset'
    if you want the whole 'dataset'. An 'API' key from 'Enigma' is required to use
    'enigma'.
Version: 0.2.0
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com"))
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/ropengov/enigma
BugReports: https://github.com/ropengov/enigma/issues
VignetteBuilder: knitr
Imports: methods, utils, httr (>= 1.0.0), jsonlite, plyr
Suggests: knitr, testthat, dplyr, ggplot2, ggthemes
NeedsCompilation: no
Packaged: 2015-07-07 21:34:14 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2015-07-08 09:50:14

## enigma 0.3.0

=== DESCRIPTION ===
Package: enigma
Title: Client for the 'Enigma' 'API'
Description: The company 'Enigma' (<http://enigma.io>) holds many public
    'datasets' from governments, companies, universities, and organizations.
    'Enigma' provides an 'API' for data, 'metadata', and statistics on each of
    the 'datasets'. 'enigma' is a client to interact with the 'Enigma' 'API',
    including getting the data and 'metadata' for 'datasets' in 'Enigma', as 
    well as collecting statistics on 'datasets'. In addition, you can download 
    a 'gzipped' 'csv' file of a 'dataset' if you want the whole 'dataset'. An 
    'API' key from 'Enigma' is required to use 'enigma'.
Version: 0.3.0
Authors@R: c(person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com"))
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/ropengov/enigma
BugReports: https://github.com/ropengov/enigma/issues
VignetteBuilder: knitr
Imports: utils, crul (>= 0.2.0), jsonlite, plyr, xml2, tibble
Suggests: roxygen2 (>= 6.0.1), knitr, testthat, covr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-02-17 22:17:33 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2017-02-17 23:36:59

## enigma 1.10~~pre-alpha+r2100

=== debian/changelog ===
enigma (1.10~~pre-alpha+r2100-1) unstable; urgency=low

  * New SVN checkout, shortly after upstream "pre-alpha" release
  * Target unstable, to get more testing for enigma
  * Remove spelling patches included upstream

 -- Erich Schubert <erich@debian.org>  Wed, 26 May 2010 02:27:26 +0200

enigma (1.09+r1900-1) experimental; urgency=low

  * New upstream milestone 5 for the 1.10 release.
  * Still using builtin Lua, since we need it to be built using C++
  * Fix various lintian warnings (including some spelling errors)
  * Add curl, imagemagick, quilt to build depends

 -- Erich Schubert <erich@debian.org>  Tue, 08 Dec 2009 03:23:49 +0100

enigma (1.01-7) unstable; urgency=medium

  * Use upstream patch for XMLSize_t, which also includes the same
    issue in the inverse function. Really (Closes: #536682)
  * I hope this is the last issue of AMD64 and Xerces 3 fixes.
  * Keeping priority medium to get the varags fix through quicker.

 -- Erich Schubert <erich@debian.org>  Mon, 13 Jul 2009 09:23:46 +0200

enigma (1.01-6) unstable; urgency=medium

  * Add a patch to build on AMD64, where XMLSize_t != int (Closes: #536682)
  * Keeping priority medium to get the varags fix through quicker.

 -- Erich Schubert <erich@debian.org>  Sun, 12 Jul 2009 16:10:56 +0200

enigma (1.01-5) unstable; urgency=medium

  * Use upstream patches r1745 and r1541, which do the same fix for
    Xerces 3 compatibility, amongst some other things. This also replaces
    the varargs hotfix, which is in r1541. Note that the patches remain
    split into multiple files, but everything in r1745 is included and
    so is r1541. r1173 might not be literally applied, and r873 is
    not applicable (we're using Debian zipios).

  Urgency medium to get varargs fix for AMD64 into testing.
  Upload to unstable, since the Xerces 3 fix is tested upstream.

 -- Erich Schubert <erich@debian.org>  Sat, 11 Jul 2009 18:32:15 +0200

enigma (1.01-4) experimental; urgency=medium

  The switch to Xerces 3 might break some things, therefore this
  upload goes to experimental first. Please help testing.

  Urgency medium because of varargs fix.

  * Include fix for building with GCC-4.4 (Closes: #505358)
  * Fix a varargs bug on AMD64
  * Use libxerces-c-dev instead of libxerces-c2-dev by request of the
    Xerces maintainers. The Xerces 2 branch is outdated.
  * Try to make enigma 1.01 work with Xerces 3.
  * Remove linda overrides
  * Add missing ${misc:Depends}
  * Set debhelper compatibility level to 6
  * Set debian-policy compliance to 3.8.2.0 (No changes)

 -- Erich Schubert <erich@debian.org>  Tue, 07 Jul 2009 21:04:22 +0200

enigma (1.01-3) unstable; urgency=low

  * Minor changes in preparation for the 'lenny' release.
  * Acknowledge NMU by Kumar Appaiah. Thanks.
    + Refresh G++ 4.3 compatibility patch (Closes: #462540)
  * Add dh_icons call to update icon caches (Closes: #460971)
    Increase debhelper dependency accordingly.
  * Add patch to fix enigma man page (spotted by lintian)
  * Lower priority to extra, since we depend on xerces (spotted by debcheck)
  * Update xerces build-dep to libxerces-c2-dev (xerces transition part 1)
  * Remove linking of libz, zipios is sufficient (spotted by dpkg-shlibdeps)

 -- Erich Schubert <erich@debian.org>  Tue, 15 Apr 2008 01:29:42 +0200

enigma (1.01-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/gcc-4.3-ftbfs.patch:
    + Refresh patch to provide missing #includes and
      avoid FTBFS with g++ 4.3. (Closes: #462540)
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 23 Mar 2008 11:59:23 +0530

enigma (1.01-2) unstable; urgency=low

  * Add Homepage field
  * Replace included fonts with a dependency on ttf-dejavu
    (enigma used to ship a copy of these fonts, will be removed from source
     the next source tarball update, too)
  * Make Linitian happier:
  *  Bounced standards version to 3.7.3.0 (no changes)
  *  Add section field to Source
  *  Add lintian-override for desktop-command-not-in-package (is in 'enigma')
  *  Update lintian-override for binary-without-manpage (is in -data)
  *  Remove two empty unneeded directories
  *  Add 'fixed' enigma.desktop file (updated to latest specs)

 -- Erich Schubert <erich@debian.org>  Sat, 05 Jan 2008 19:40:48 +0100

enigma (1.01-1) unstable; urgency=low

  * New upstream version 1.01 (Closes: #426321)
    (Please do NOT file 'new upstream' bug reports!)
   - 60++ new level (now more than 1000 in total)
   - Added easy mode to some existing levels
   - Fixes of all levels with known shortcuts
   - New translations
   - Support of updatable cross internet level packs
   - Sound damping for noisy levels
   - User sound sets besides the Enigma sound set
     (thus allowing for non-free sound sets in the future)
  * Updated debian/watch for berlios
  * Fix location of locale files (Closes: #421474)

 -- Erich Schubert <erich@debian.org>  Fri, 01 Jun 2007 17:32:47 +0200

enigma (1.00-2) unstable; urgency=low

  * No changes that should affect users of this package.
  * Add fix for FTBFS with GCC 4.3, thanks Martin Michlmayr (Closes: #413414)
    (But gcc 4.3 is not used by default, this is in preparation for a
    compiler upgrade somewhen in the future. Adds some missing includes.)

 -- Erich Schubert <erich@debian.org>  Fri, 16 Mar 2007 02:31:17 +0100

enigma (1.00-1) unstable; urgency=low

  * New upstream version: 1.00 final. Too bad we just missed the etch freeze.

 -- Erich Schubert <erich@debian.org>  Thu, 14 Dec 2006 02:33:10 +0100

enigma (1.00~beta-r496-1) unstable; urgency=low

  * New upstream SVN checkout
  * Fixes score files for 64-bit architectures (Closes: #401128)
  * Remove patch added to disable a round_down<float> in asm that caused
    problems - this was removed upstream now.
  * Install images for manual into proper dir (Closes: #401130)
  * Put documentation into separate enigma-doc package.
  * Use more debhelper, less own magic in debian/rules


=== debian/control ===
Source: enigma
Section: games
Priority: extra
Maintainer: Erich Schubert <erich@debian.org>
Build-Depends: debhelper (>= 6), cdbs, bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-dev, imagemagick
Standards-Version: 3.8.3.0

Package: enigma
Architecture: any
Replaces: enigma-data
Depends: ${shlibs:Depends}, ${misc:Depends}, enigma-data (= ${source:Version})
Recommends: enigma-level-previews, enigma-doc
Description: A game where you control a marble with the mouse
 Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
 on the Amiga and good old Marble Madness. It also has Sokoban levels, and
 some interesting twists on the original sokoban concept.
 .
 In Enigma, your objective is to locate and uncover matching pairs of
 Oxyd stones. Simple as it sounds, this task is made more difficult by
 the fact that Oxyd stones tend to be hidden, inaccessible or protected
 by unexpected traps. Overcoming these obstacles often requires a lot
 of dexterity and wit (and can be quite addictive).
 .
 This package contains the game engine.
Homepage: http://enigma.nongnu.org/

Package: enigma-doc
Section: doc
Architecture: all
Recommends: enigma
Depends: ${misc:Depends}
Description: Documentation for the game enigma
 Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
 on the Amiga and good old Marble Madness. It also has Sokoban levels, and
 some interesting twists on the original sokoban concept.
 .
 In Enigma, your objective is to locate and uncover matching pairs of
 Oxyd stones. Simple as it sounds, this task is made more difficult by
 the fact that Oxyd stones tend to be hidden, inaccessible or protected
 by unexpected traps. Overcoming these obstacles often requires a lot
 of dexterity and wit (and can be quite addictive).
 .
 This package contains the manual and level creating guide
Homepage: http://enigma.nongnu.org/

Package: enigma-data
Architecture: all
Enhances: enigma
Depends: ttf-dejavu-core, ttf-dejavu-extra, ${misc:Depends}
Description: Data file for the game enigma
 Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
 on the Amiga and good old Marble Madness. It also has Sokoban levels, and
 some interesting twists on the original sokoban concept.
 .
 In Enigma, your objective is to locate and uncover matching pairs of
 Oxyd stones. Simple as it sounds, this task is made more difficult by
 the fact that Oxyd stones tend to be hidden, inaccessible or protected
 by unexpected traps. Overcoming these obstacles often requires a lot
 of dexterity and wit (and can be quite addictive).
 .
 This package contains the data files (levels, graphics, sounds).
Homepage: http://enigma.nongnu.org/

## enigma 1.10~~pre-alpha+r2210

=== debian/changelog ===
enigma (1.10~~pre-alpha+r2210-1) unstable; urgency=low

  * New SVN checkout, r2210
  * Depend on libcurl4-gnutls-dev | libcurl4-nss-dev instead of libcurl4-dev
    since we now have to variants (that should both work). (Closes: #618147)

 -- Erich Schubert <erich@debian.org>  Sun, 03 Jul 2011 17:13:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: extra
 Maintainer: Erich Schubert <erich@debian.org>
-Build-Depends: debhelper (>= 6), cdbs, bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-dev, imagemagick
+Build-Depends: debhelper (>= 6), cdbs, bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-gnutls-dev | libcurl4-nss-dev, imagemagick
 Standards-Version: 3.8.3.0
 
 Package: enigma

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq ($(DEB_HOST_ARCH), alpha)
  DEB_OPT_FLAG += -O2 -mieee
endif

DEB_CONFIGURE_EXTRA_FLAGS := --datadir=\$${prefix}/share/games --bindir=\$${prefix}/games --docdir=\$${prefix}/share/doc/enigma --enable-optimize

binary-post-install/enigma-data::
	-rm debian/enigma-data/usr/share/games/enigma/fonts/DejaVuSansCondensed.ttf
	-rm debian/enigma-data/usr/share/games/enigma/fonts/vera_sans.ttf
	# yes, using DejaVuSans instead of Vera Sans, one dependency less
	# and the fonts are pretty much the same anyway
	dh_link -p enigma-data \
		usr/share/fonts/truetype/ttf-dejavu/DejaVuSansCondensed.ttf \
		usr/share/games/enigma/fonts/DejaVuSansCondensed.ttf \
		usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
		usr/share/games/enigma/fonts/vera_sans.ttf
	# update icon caches
	dh_icons

clean::
	-rm -f po/*.gmo po/stamp-po

## enigma 1.10~~pre-alpha+r2236

=== debian/changelog ===
enigma (1.10~~pre-alpha+r2236-1) unstable; urgency=low

  * New upstream checkout. No release on the horizon, but well playable.
  * Acknowledge NMUs. Thank you!
  * Drop suggest on enigma-level-previews which are not available for 1.10
  * Update policy version, no changes.

 -- Erich Schubert <erich@debian.org>  Tue, 19 Jun 2012 21:47:22 +0200

enigma (1.10~~pre-alpha+r2210-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-dependency on libpng-dev (Closes: #669536)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 12 May 2012 12:03:28 +0100

enigma (1.10~~pre-alpha+r2210-1.2) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667155.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2012 23:36:14 +0200

enigma (1.10~~pre-alpha+r2210-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "removal of enigma makes files disappear from enigma-data":
    remove the duplicate .desktop file in debian/rules; merge upstream and
    Debian .desktop files; set Breaks/Replaces against to previous version of
    enigma-data. (Closes: #661474)

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Apr 2012 19:55:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: games
 Priority: extra
 Maintainer: Erich Schubert <erich@debian.org>
-Build-Depends: debhelper (>= 6), cdbs, bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-gnutls-dev | libcurl4-nss-dev, imagemagick
-Standards-Version: 3.8.3.0
+Build-Depends: debhelper (>= 6), cdbs, bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-gnutls-dev | libcurl4-nss-dev, imagemagick, libpng-dev
+Standards-Version: 3.9.3.0
 
 Package: enigma
 Architecture: any
-Replaces: enigma-data
+Breaks: enigma-data (<< 1.10~~pre-alpha+r2210-1.1)
+Replaces: enigma-data (<< 1.10~~pre-alpha+r2210-1.1)
 Depends: ${shlibs:Depends}, ${misc:Depends}, enigma-data (= ${source:Version})
-Recommends: enigma-level-previews, enigma-doc
+Recommends: enigma-doc
 Description: A game where you control a marble with the mouse
  Enigma is a puzzle game similar to Oxyd on the Atari ST or Rock'n'Roll
  on the Amiga and good old Marble Madness. It also has Sokoban levels, and

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --datadir=\$${prefix}/share/games --bindir=\$${prefix}/games --docdir=\$${prefix}/share/doc/enigma --enable-optimize
 
 binary-post-install/enigma-data::
+	# remove duplicate .desktop file
+	-rm debian/enigma-data/usr/share/applications/enigma.desktop
+	-rmdir --ignore-fail-on-non-empty --parents debian/enigma-data/usr/share/applications
+
 	-rm debian/enigma-data/usr/share/games/enigma/fonts/DejaVuSansCondensed.ttf
 	-rm debian/enigma-data/usr/share/games/enigma/fonts/vera_sans.ttf
 	# yes, using DejaVuSans instead of Vera Sans, one dependency less

=== debian/watch ===
version=3

opts=downloadurlmangle=s/prdownload/download/  http://developer.berlios.de/project/showfiles.php?group_id=3972 http://prdownload.berlios.de/enigma-game/enigma-([\d.]+)\.tar\.gz
